#pragma once

#include <vector>

#include "AudioSample.h"

class AudioSynth
{
public:

    AudioSynth();

    AudioSamplePtr GetConstant(unsigned amplitude, unsigned duration);

    AudioSamplePtr GetSineWave(double freq, unsigned duration);
};
